%define upstream_name    Git-Wrapper
%define upstream_version 0.028

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Wrap git(7) command-line interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Env::Path)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildArch:  noarch

Requires:   git
%description
Git::Wrapper provides an API for git(7) that uses Perl data structures for
argument passing, instead of CLI-style '--options' as the Git manpage does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
git config --get --global user.name  || git config --global user.name  "Your Name"
git config --get --global user.email || git config --global user.email "you@example.com"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.28.0-2.mga3
+ Revision: 367750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.28.0-1.mga3
+ Revision: 315068
- update to 0.028

* Fri Sep 28 2012 jquelin <jquelin> 0.27.0-2.mga3
+ Revision: 299012
- do not overwrite global git config unless needed

* Wed Sep 26 2012 jquelin <jquelin> 0.27.0-1.mga3
+ Revision: 297994
- update to 0.027

* Fri Aug 31 2012 kharec <kharec> 0.25.0-1.mga3
+ Revision: 286168
- update to 0.025

* Mon Jul 02 2012 jquelin <jquelin> 0.23.0-1.mga3
+ Revision: 266672
- update to 0.023

* Tue Jun 05 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 254952
- update to 0.020

* Thu Oct 13 2011 jquelin <jquelin> 0.17.0-1.mga2
+ Revision: 154313
- update to 0.017

* Mon Sep 26 2011 jquelin <jquelin> 0.16.0-1.mga2
+ Revision: 148076
- update to 0.016
- update to 0.015

* Fri Jan 21 2011 jquelin <jquelin> 0.14.0-1.mga1
+ Revision: 29280
- adding git config to make tests pass
- mageia rebuild
- imported package perl-Git-Wrapper

